### Hierarchy

- GameEndedEvent

### Implements

- IEvent

## Index

### Constructors

- constructor

### Properties

- message
- name

## Constructors

### constructor

- new GameEndedEvent(message: Messages.GameEndedMessage): GameEndedEvent

- - Defined in Events.ts:27

  #### Parameters

  - ##### message: Messages.GameEndedMessage

  #### Returns GameEndedEvent

## Properties

### message

message: Messages.GameEndedMessage

Implementation of IEvent.message

- Defined in Events.ts:28

### name

name: GameEnded

Implementation of IEvent.name

- Defined in Events.ts:27

Generated using TypeDoc